jackrabbit-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Samuel Cox (JIRA)" <j...@apache.org>
Subject [jira] Updated: (JCR-2608) Making Jackrabbit content repo usable from OSGi (Equinox)
Date Fri, 16 Apr 2010 19:20:26 GMT

     [ https://issues.apache.org/jira/browse/JCR-2608?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Samuel Cox updated JCR-2608:
----------------------------

    Description: I have been using home-grown, Jackrabbit OSGi bundles for the past year in
Fuse 4.0 (Felix based).  For the most part, I put everything in an uber-bundle represented
by jackrabbit-core.  However, the service lookup process used in jackrabbit-spi-commons (META-INF)
started failing when we moved to Fuse 4.2 (Equinox based).  I have not had time to try your
new 2.0 bundles.  Also, I realize this is probably an OSGi-SMX problem as opposed to yours.
 I just thought I'd let you know because it looks like you're making an effort to provide
bundles.  (was: I have been using home-grown OSGi bundles for Jackrabbit for the past year
in Fuse 4.0 (Felix based).  For the most part, I put everything in an uber-bundle represented
by jackrabbit-core.  However, the service lookup process used in jackrabbit-spi-commons (META-INF)
started failing when we moved to Fuse 4.2 (Equinox based).  I have not had time to try your
new 2.0 bundles.  Also, I realize this is probably an OSGi-SMX problem as opposed to yours.
 I just thought I'd let you know because it looks like you're making an effort to provide
bundles.)

> Making Jackrabbit content repo usable from OSGi (Equinox)
> ---------------------------------------------------------
>
>                 Key: JCR-2608
>                 URL: https://issues.apache.org/jira/browse/JCR-2608
>             Project: Jackrabbit Content Repository
>          Issue Type: Improvement
>          Components: jackrabbit-spi-commons
>    Affects Versions: 1.6.1
>         Environment: Ubuntu 10.04, 64-bit, Fuse 4.2 (Equinox-based ServiceMix)
>            Reporter: Samuel Cox
>            Priority: Minor
>
> I have been using home-grown, Jackrabbit OSGi bundles for the past year in Fuse 4.0 (Felix
based).  For the most part, I put everything in an uber-bundle represented by jackrabbit-core.
 However, the service lookup process used in jackrabbit-spi-commons (META-INF) started failing
when we moved to Fuse 4.2 (Equinox based).  I have not had time to try your new 2.0 bundles.
 Also, I realize this is probably an OSGi-SMX problem as opposed to yours.  I just thought
I'd let you know because it looks like you're making an effort to provide bundles.

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: https://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

       

Mime
View raw message